List Currency Conversions for an Invoice
curl --request GET \
--url https://eu.sequencehq.com/api/invoices/{id}/currency-conversions \
--header 'Authorization: <authorization>'import requests
url = "https://eu.sequencehq.com/api/invoices/{id}/currency-conversions"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://eu.sequencehq.com/api/invoices/{id}/currency-conversions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"invoiceId": "f1e2d3c4-b5a6-4978-8e9f-0a1b2c3d4e5f",
"currency": "GBP",
"totalTax": "20.00",
"netTotal": "100.00",
"grossTotal": "120.00",
"exchangeRate": "0.79",
"updatedAt": "2024-01-15T10:30:00Z"
}
]
}This response has no body data.This response has no body data.This response has no body data.This response has no body data.Invoices
List Currency Conversions for an Invoice
Lists all currency conversions for a specific invoice. Currency conversions are automatically created for invoices that require regulatory compliance (e.g., UK VAT requiring GBP conversion for foreign currency invoices).
GET
/
invoices
/
{id}
/
currency-conversions
List Currency Conversions for an Invoice
Headers
Your API credentials. Eg. Basic {credentials}.
Use this header to select an API version
Available options:
2024-07-30 Path Parameters
Invoice ID
Response
OK
List of currency conversions for the invoice
Show child attributes
Show child attributes
Example:
[
{
"id": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"invoiceId": "f1e2d3c4-b5a6-4978-8e9f-0a1b2c3d4e5f",
"currency": "GBP",
"totalTax": "20.00",
"netTotal": "100.00",
"grossTotal": "120.00",
"exchangeRate": "0.79",
"updatedAt": "2024-01-15T10:30:00Z"
}
]
Update a contact
Previous
Finalize and mark invoice as sent without triggering actions except revenue recognition
Next
⌘I